package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractOperateLogEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractOperateLogEntryInfo()
    {
        this("id");
    }
    protected AbstractOperateLogEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.interfacelog.businessoperationlog.OperateLogInfo getParent()
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.OperateLogInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.interfacelog.businessoperationlog.OperateLogInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:分录's 操作property 
     */
    public String getOperate()
    {
        return getString("operate");
    }
    public void setOperate(String item)
    {
        setString("operate", item);
    }
    /**
     * Object:分录's 请求地址property 
     */
    public String getUrl()
    {
        return getString("url");
    }
    public void setUrl(String item)
    {
        setString("url", item);
    }
    /**
     * Object:分录's 头部信息property 
     */
    public String getHeaded()
    {
        return getString("headed");
    }
    public void setHeaded(String item)
    {
        setString("headed", item);
    }
    /**
     * Object:分录's 请求体property 
     */
    public String getRequestBody()
    {
        return getString("requestBody");
    }
    public void setRequestBody(String item)
    {
        setString("requestBody", item);
    }
    /**
     * Object:分录's 请求类型property 
     */
    public String getMethod()
    {
        return getString("method");
    }
    public void setMethod(String item)
    {
        setString("method", item);
    }
    /**
     * Object:分录's 返回值property 
     */
    public String getReturnValue()
    {
        return getString("returnValue");
    }
    public void setReturnValue(String item)
    {
        setString("returnValue", item);
    }
    /**
     * Object:分录's 请求状态property 
     */
    public com.kingdee.eas.custom.interfacelog.enumdata.RequestStatusEnum getRequestStatus()
    {
        return com.kingdee.eas.custom.interfacelog.enumdata.RequestStatusEnum.getEnum(getString("requestStatus"));
    }
    public void setRequestStatus(com.kingdee.eas.custom.interfacelog.enumdata.RequestStatusEnum item)
    {
		if (item != null) {
        setString("requestStatus", item.getValue());
		}
    }
    /**
     * Object:分录's 错误信息property 
     */
    public String getErrorInfo()
    {
        return getString("errorInfo");
    }
    public void setErrorInfo(String item)
    {
        setString("errorInfo", item);
    }
    /**
     * Object:分录's 创建时间property 
     */
    public java.util.Date getCreateDate()
    {
        return getDate("createDate");
    }
    public void setCreateDate(java.util.Date item)
    {
        setDate("createDate", item);
    }
    /**
     * Object: 分录 's 创建用户 property 
     */
    public com.kingdee.eas.base.permission.UserInfo getCreateUser()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("createUser");
    }
    public void setCreateUser(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("createUser", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("DFD2AE3F");
    }
}